Get BBPS Operator Parameters

Get a list of parameters to be passed in the Bill Fetch or Bill Pay APIs for a given operator.

Response Structure

  • data → List of all parameters required for that biller. Each parameter contains the following:
    • param_name → Name of the parameter to be passed in the Pay Bill API
    • param_label → Label to be shown to the user for entering the parameter
    • param_type → Type of the parameter: Numeric, Decimal, AlphaNumeric, or, List
    • regex → Regular expression for a valid value. Use this to validate the user input
    • error_message → Error message to be shown if the user input does not match the regex
  • fetchBill → 1 = Need to call Fetch Bill API before the Pay Bill API; 0 = Pay Bill API can be called directly
  • BBPS → 1 = The biller is provided by Bharat BillPay. You should show the Bharat BillPay branding (logo) for these billers.
Path Params
int32
required

The id for the operator (use Get Operators API for the available list)

Query Params
string
required

Your registered mobile number (See Platform Credentials for UAT)

Headers
string
required

Your static API key (See Guide)

string
required

Your dynamically generated security key, unique for every request (See Guide)

string
required

The current timestamp used to generate secret-key

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json